"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var isExpanded_1 = require("./isExpanded");
var constants_1 = require("react-sidenav/constants");
describe('isExpanded', function () {
    it('returns true if selectedPath is the parent of parentId', function () {
        expect(isExpanded_1.isExpanded('x', "x" + constants_1.PATH_SEPARATOR + "y")).toBe(true);
    });
    it('returns false when path is from another parent', function () {
        expect(isExpanded_1.isExpanded('x', "z" + constants_1.PATH_SEPARATOR + "1")).toBe(false);
    });
    it('does not die if paths and selection is empty', function () {
        expect(isExpanded_1.isExpanded(undefined, undefined)).toBe(false);
        expect(isExpanded_1.isExpanded('abc', undefined)).toBe(false);
    });
});
//# sourceMappingURL=isExpanded.test.js.map